net.dontdrinkandroot.wicket.bootstrap.css

## Enum ColumnSize

- java.lang.Object
- - java.lang.Enum<ColumnSize>
  - - net.dontdrinkandroot.wicket.bootstrap.css.ColumnSize

All Implemented Interfaces:
  Serializable, Comparable<ColumnSize>, net.dontdrinkandroot.wicket.css.CssClass

    public enum ColumnSize
    extends Enum<ColumnSize>
    implements net.dontdrinkandroot.wicket.css.CssClass

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LG_1`
`LG_10`
`LG_11`
`LG_12`
`LG_2`
`LG_3`
`LG_4`
`LG_5`
`LG_6`
`LG_7`
`LG_8`
`LG_9`
`MD_1`
`MD_10`
`MD_11`
`MD_12`
`MD_2`
`MD_3`
`MD_4`
`MD_5`
`MD_6`
`MD_7`
`MD_8`
`MD_9`
`SM_1`
`SM_10`
`SM_11`
`SM_12`
`SM_2`
`SM_3`
`SM_4`
`SM_5`
`SM_6`
`SM_7`
`SM_8`
`SM_9`
`XS_1`
`XS_10`
`XS_11`
`XS_12`
`XS_2`
`XS_3`
`XS_4`
`XS_5`
`XS_6`
`XS_7`
`XS_8`
`XS_9`

### Method Summary

Methods
`String` `getClassString()`
`static ColumnSize` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ColumnSize[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### XS_1

    public static final ColumnSize XS_1

#### XS_2

    public static final ColumnSize XS_2

#### XS_3

    public static final ColumnSize XS_3

#### XS_4

    public static final ColumnSize XS_4

#### XS_5

    public static final ColumnSize XS_5

#### XS_6

    public static final ColumnSize XS_6

#### XS_7

    public static final ColumnSize XS_7

#### XS_8

    public static final ColumnSize XS_8

#### XS_9

    public static final ColumnSize XS_9

#### XS_10

    public static final ColumnSize XS_10

#### XS_11

    public static final ColumnSize XS_11

#### XS_12

    public static final ColumnSize XS_12

#### SM_1

    public static final ColumnSize SM_1

#### SM_2

    public static final ColumnSize SM_2

#### SM_3

    public static final ColumnSize SM_3

#### SM_4

    public static final ColumnSize SM_4

#### SM_5

    public static final ColumnSize SM_5

#### SM_6

    public static final ColumnSize SM_6

#### SM_7

    public static final ColumnSize SM_7

#### SM_8

    public static final ColumnSize SM_8

#### SM_9

    public static final ColumnSize SM_9

#### SM_10

    public static final ColumnSize SM_10

#### SM_11

    public static final ColumnSize SM_11

#### SM_12

    public static final ColumnSize SM_12

#### MD_1

    public static final ColumnSize MD_1

#### MD_2

    public static final ColumnSize MD_2

#### MD_3

    public static final ColumnSize MD_3

#### MD_4

    public static final ColumnSize MD_4

#### MD_5

    public static final ColumnSize MD_5

#### MD_6

    public static final ColumnSize MD_6

#### MD_7

    public static final ColumnSize MD_7

#### MD_8

    public static final ColumnSize MD_8

#### MD_9

    public static final ColumnSize MD_9

#### MD_10

    public static final ColumnSize MD_10

#### MD_11

    public static final ColumnSize MD_11

#### MD_12

    public static final ColumnSize MD_12

#### LG_1

    public static final ColumnSize LG_1

#### LG_2

    public static final ColumnSize LG_2

#### LG_3

    public static final ColumnSize LG_3

#### LG_4

    public static final ColumnSize LG_4

#### LG_5

    public static final ColumnSize LG_5

#### LG_6

    public static final ColumnSize LG_6

#### LG_7

    public static final ColumnSize LG_7

#### LG_8

    public static final ColumnSize LG_8

#### LG_9

    public static final ColumnSize LG_9

#### LG_10

    public static final ColumnSize LG_10

#### LG_11

    public static final ColumnSize LG_11

#### LG_12

    public static final ColumnSize LG_12

### Method Detail

#### values

    public static ColumnSize[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ColumnSize c : ColumnSize.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ColumnSize valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getClassString

    public String getClassString()

Specified by:
  `getClassString` in interface `net.dontdrinkandroot.wicket.css.CssClass`